# Generated by Django 4.1.5 on 2023-01-30 23:27

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("senat_campaign", "0009_senatcampaignhomepage_donations_url"),
    ]

    operations = [
        migrations.AlterField(
            model_name="senatcampaignhomepage",
            name="about_gallery",
            field=wagtail.fields.StreamField(
                [("photo", wagtail.images.blocks.ImageChooserBlock(label="fotka"))],
                blank=True,
                use_json_field=True,
                verbose_name="kdo jsem - galerie",
            ),
        ),
        migrations.AlterField(
            model_name="senatcampaignhomepage",
            name="contacts",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="jméno")),
                                (
                                    "job",
                                    wagtail.blocks.CharBlock(
                                        label="pozice", required=False
                                    ),
                                ),
                                (
                                    "phone",
                                    wagtail.blocks.CharBlock(
                                        label="telefon", required=False
                                    ),
                                ),
                                (
                                    "email",
                                    wagtail.blocks.EmailBlock(
                                        label="email", required=False
                                    ),
                                ),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="kontaktní osoby",
            ),
        ),
        migrations.AlterField(
            model_name="senatcampaignhomepage",
            name="financials",
            field=wagtail.fields.StreamField(
                [
                    (
                        "link",
                        wagtail.blocks.StructBlock(
                            [
                                ("label", wagtail.blocks.CharBlock(label="název")),
                                ("url", wagtail.blocks.URLBlock(label="odkaz")),
                            ],
                            label="odkaz",
                        ),
                    ),
                    (
                        "document",
                        wagtail.blocks.StructBlock(
                            [
                                ("label", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "doc",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="dokument"
                                    ),
                                ),
                            ],
                            label="dokument",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="transparentní financování",
            ),
        ),
        migrations.AlterField(
            model_name="senatcampaignprogrampage",
            name="committee_preference",
            field=wagtail.fields.StreamField(
                [("committee", wagtail.blocks.CharBlock(label="výbor či komise"))],
                blank=True,
                use_json_field=True,
                verbose_name="preferované výbory a komise",
            ),
        ),
        migrations.AlterField(
            model_name="senatcampaignprogrampage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="titulek")),
                                (
                                    "perex",
                                    wagtail.blocks.TextBlock(
                                        label="perex na úvodní stránku"
                                    ),
                                ),
                                (
                                    "body",
                                    wagtail.blocks.RichTextBlock(label="text bodu"),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="ilustrační obrázek"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="programové body",
            ),
        ),
    ]
